package com.steering.pss.plnsaleord.order;

import java.util.ArrayList;

import CoreFS.SA06.CoreReturnObject;

import com.steering.comm.db.DBCommon;
/**
 * 工艺替换记录
 * @author xiaohai
 *
 */
public class CorePlnOrdCraftModifyLog extends DBCommon {
    /**
     * 查询变更记录
     * @param list
     * @return
     */
    public CoreReturnObject queryCraftLog(ArrayList<Object> list) {
        CoreReturnObject cro = new CoreReturnObject();
        cro = this.getDataBySqlID("CorePlnOrdCraftModifyLog.queryCraftLog", list.toArray());
        return cro;
    }
    
    /**
     * 删除记录
     * @param list
     * @return
     */
    public CoreReturnObject deleteCraftLog(ArrayList<Object> list) {
        CoreReturnObject cro = new CoreReturnObject();
        ArrayList<String> sqllist = new ArrayList<String>();
        ArrayList<Object[]> parmlist = new ArrayList<Object[]>();
        for(int i = 0; i<list.size(); i++){
            sqllist.add("CorePlnOrdCraftModifyLog.deleteCraftLog");
            parmlist.add(new Object[]{ list.get(i) });
        }
        cro = this.setDataById(sqllist, parmlist);
        return cro;
    }
}